> For the complete documentation index, see [llms.txt](https://docs.jigx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jigx.com/examples/readme/notifications/external-push-notifications-_api_/send-notification-to-solution-groups-_sln_grp_.md).

# Send notification to solution groups (SLN\_GRP)

## Send notification to solution groups (SLN\_GRP)

<mark style="color:green;">`POST`</mark> `{{baseURL}}/tool/organizations/{{orgId}}/notifications`

Send messages to predefined groups within a solution.&#x20;

**Headers**

| Name          | Value                                                                                     |
| ------------- | ----------------------------------------------------------------------------------------- |
| Authorization | <p><code>Bearer \<token></code></p><p>Bearer Token - format:<br>BEARER XXXXXXXXXXXXXX</p> |

**Body**

Configure the following properties in the JSON body:

<table><thead><tr><th width="144.2109375">Name</th><th width="118.19140625">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>title</code></td><td>string</td><td>Title of the notification.</td></tr><tr><td><code>text</code></td><td>string</td><td>Notification message.</td></tr><tr><td><code>scope</code></td><td>string</td><td>"SLN_GRP" -groups: list solution groups using a comma-delimited format for multiple groups. Solution groups defined in Jigx Management> Solution > Groups</td></tr><tr><td><code>solutionId</code></td><td>string</td><td>"{{solutionId}}", available in Jigx Management> Solution Details</td></tr></tbody></table>

{% code title="JSON body" %}

```json
{
  "content": {
    "title": "Sales target",
    "text": "This quarter's sale target has been reached",
    "screen":"jig"
  },
  "scope": "SLN_GRP",
  "groups": [
    "sales","finance"
  ],
  "solutionId": "{{solutionId}}"
}
```

{% endcode %}

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "id": 1,
{
    "organizationId": "{{orgId}}",
    "region": "us-east-1",
    "notificationId": "85f22fef-1ebc-4dcd-961c-cf8b915c3245",
    "scope": "SLN_GRP",
    "solutionId": "{{solutionId}}",
    "state": "QUEUED",
    "startAt": "2025-04-04T09:04:33.446Z",
    "content": {
        "title": "Sales target",
        "text": "This quarter's sale target has been reached",
        "screen": "jig",
        "inputs": {}
    },
    "createdAt": "2025-04-04T09:04:33.446Z",
    "createdBy": "{{userId}}",
    "updatedAt": "2025-04-04T09:04:33.446Z",
    "updatedBy": "{{userid}}"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jigx.com/examples/readme/notifications/external-push-notifications-_api_/send-notification-to-solution-groups-_sln_grp_.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
